当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : TF6100上安装ubuntu的问题,谢谢大家赐教!(显卡已经驱动,声卡十分诡异)
帖子发表于 : 2006-03-13 9:06 
头像

注册: 2006-03-13 9:04
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
我的主板是biostar的TF6100,装好以后没办法启动xwindow,请问我下载好了驱动,安装了,就可以进入了吗?谢谢!


最后由 qsgh 编辑于 2006-03-17 15:03,总共编辑了 2 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-03-13 10:13 

注册: 2005-08-27 18:39
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
参考下我昨天贴的dapper安装方法以及用'6100'搜索论坛,上面有一个兄弟写的官方论坛中的‘method 2’,不过不一定成功。反正在我的TNT2和6100的两台机器上都有一些问题,主要的现象是nvidia驱动已经加入内核,但是不能被x使用。另外,你如果使用的是brezzy,由于内核版本低,需要下载官方驱动自己编译。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-03-13 11:56 

注册: 2005-12-02 0:59
帖子: 111
送出感谢: 0 次
接收感谢: 0 次
随便下个内核,编译一下,再安装驱动
我的主板也是TForce6100,这两天也是在倒腾驱动


_________________
图片
C51的驱动……鄙视nVIDIA!


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-03-13 13:49 

注册: 2005-08-27 18:39
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
今天上午搞定了实验室的TNT2显卡驱动,综合这几天的经验,作如下结论:
1、dapper的2.6.15系列内核已经能够支持最新的nvidia系列显卡,同时也提供了对老一代的n卡(TNT)的支持。并且已经在安装时加载‘nvidia’内核模块。可能是由于正式版还没有出来。大家在使用过程中经常会发现驱动不能用的问题。
2、对于6100显卡来说,dapper提供了最新的81.78版的驱动,在安装时挂载了‘nvidia’模块,同时xorg.conf中也使用了'nvidia'作为driver,在该文件中屏蔽掉dri(是否必须?)后应该能够直接驱动6100。对于出问题的兄弟,请先尝试以下过程,而不要急着去编译官方驱动:
a.先卸载系统中的驱动,记住它会自动删除linux-restricted-modules-'version',这里‘version’很重要,请记住。
代码:
sudo apt-get remove nvidia-glx nvidia-kernel-common

b.使用Ctrl+Alt+F1到控制台界面,使用Ctrl+c强制退出gdm。
c.重新安装驱动,这里因该会自动安装linux-restricted-modules-'version'
代码:
sudo apt-get install nvidia-glx nvidia-kernel-common

d.如果‘version’和你当前的内核版本不同,请进行这一步,安装与驱动对应的内核版本
代码:
sudo apt-get install linux-image-'version' linux-headers-'version'

e.
代码:
sudo vi /etc/X11/xorg.conf

将‘dri’换成'#dri',将'device‘段中的'driver'的值由‘vesa’("nv")改成“nvidia”,我这里还将‘identifier’和“Screen”段的"device"的值改成了“GeForce6100”。
f.
代码:
sudo init 6

重启后进入‘version’标记的内核版本。如果能够进入系统,则应该驱动已经安装,如果不能进入,查看/var/log/Xorg.0.log内容的提示,也有可能进入xwindows,但是使用glxinfo仍然看不到rendering被打开,此类问题我暂时还没有一个好的解释,仍在琢磨中。
3、对于TNT系列的显卡,与6100系列显卡的操作基本上是一样的。不同的是在卸载了nvidia-glx后,在c那个步骤使用sudo apt-get install nvidia-glx-legacy代替nvidia-glx。
4、主体思想就是:官方的驱动不一定好编译,编译了以后也不一定见效,我这里就都有问题。但是如果按照我的步骤来,重点是使用和nvidia-glx(nvidia-glx-legacy)对应的内核版本(这里的意思是:nvidia-glx驱动是ubuntu官方对应某一个内核版本来预先编译的,其只放在对应的内核的目录下/lib/modules/'version'/drivers/video/),所以要使用对应的内核版本来启动。
5、如果有其他意见和建议,请发邮件到huangyi82@21cn.com,欢迎大家一起探讨,让更多的人使用linux。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-03-14 14:05 

注册: 2005-12-02 0:59
帖子: 111
送出感谢: 0 次
接收感谢: 0 次
关于6100,不仅仅是显卡,其南桥nForce410更需要驱动。nForce410在默认情况下,linux无法驱动其网卡和声卡。最新的nForce驱动程序虽然支持它,但需要kernel头文件与kernel的配置相同才能使用,所以重新编译内核是最佳选择。

nVIDIA的C51主板,在各种linux发行版下的情况基本相同,南桥的使用比较麻烦。

楼上朋友说的办法,对于驱动显卡应该是有效的。


_________________
图片
C51的驱动……鄙视nVIDIA!


页首
 用户资料  
 
6 楼 
 文章标题 : 太谢谢大家了!!
帖子发表于 : 2006-03-14 16:35 
头像

注册: 2006-03-13 9:04
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
本来想用别的 linux,现在发现很多 牛人和热心人 ,坚定了我用ubuntu的决心 ,谢谢大家 !


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-03-16 8:57 

注册: 2005-10-03 11:23
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
不是说最新的8178支持6100和6150吗?

我还想换块6100做低耗静音系统。


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2006-03-16 12:24 
头像

注册: 2006-03-13 9:04
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
在国外的论坛上发现了这个帖子,已经安装好了显卡驱动

http://www.ubuntuforums.org/showthread.php?t=75074&highlight=nvidia


页首
 用户资料  
 
9 楼 
 文章标题 : 声卡虽然安装驱动成功,但是还是没有声音
帖子发表于 : 2006-03-16 13:01 
头像

注册: 2006-03-13 9:04
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
在系统->音效控制中看不到声卡
但 lsmod看到nvsound
请问如何设置?谢谢!!!

---------------------------------

今天随便下了一个mpalyer看friends突然发出了声音。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。原来是有声音的。。。我ft
不过还是很诡异,依然找不到声卡


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2006-03-17 17:02 

注册: 2005-12-06 17:13
帖子: 47
送出感谢: 0 次
接收感谢: 0 次
声卡肯定找到了,nvidia官方的是oss,不是alsa


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2006-04-07 16:45 

注册: 2006-03-14 8:57
帖子: 51
送出感谢: 0 次
接收感谢: 0 次
我用的是TF6100,我用过楼上的方法,不过一直都搞不定!
我出现的问题大概有以下:
首先我在安装显卡驱程时出现

No precompiled kernel interface was found to match your kernel this means that the installer will need to compile a new kernelinterface
gcc-version-check failed
you appear to be comiling the NVIDIA kernel module witha different compiler than the one that was used to compile the running kernel.the linux 2.6 kernel module loader rejects kernel modules built with a version of gcc that does not exuctly match that of the compiler used to build the running kernel .the compiler used to comlile the kernel was gcc 3.4;the current compiler is gcc 4.0

之后我下了一个gcc4.10的装了,不过问题依旧!


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2006-04-07 22:27 
头像

注册: 2005-12-05 19:25
帖子: 20
送出感谢: 0 次
接收感谢: 0 次
要用gcc3.4!往前翻翻帖子就知道可以了呀!


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2006-04-15 4:33 
头像

注册: 2006-04-15 3:16
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
nvidia 网卡问题请参考这里:
http://blog.csdn.net/forrestyu/archive/ ... 64137.aspx
.
.
.


_________________
Stupid is as stupid does.

AMD Sempron 2500+ 64-bits
Asrock K8NF4G-SATA2 (GeForce6100+nForce 410 chipsets)


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译